
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 腾风首页
 */

import { request } from '../index'

// 首页
const index = () => {
	return request({
		url: 'mall'
	})
}

// 商品详情
const goods = (goods_id) => {
	return request({
		url: 'mall/goods/' + goods_id
	})
}

// 文章详情
const artiicle = (artiicle_id) => {
	return request({
		url: 'cms/articles/' + artiicle_id
	})
}

// 退货单-审核
const storeAudit = (refund_id, data) => {
	return request({
		url: 'manages/refunds/' + refund_id + '/audit',
        method: 'POST',
        data: data
	})
}

// 提货单列表
const storeDeliver = (state) => {
	return request({
		url: 'manages/shipments',
        data: {
            state
        }
	})
}

// 领取商品
const Receive = (data) => {
	return request({
		url: 'mall/buy/samples',
        method: 'POST',
        data: data
	})
}

// 省市区-获取
const create = (data) => {
	return request({
		url: 'mall/addresses/create',
        data: data
	})
}


export {
	index,
    goods,
    artiicle,
    storeAudit,
    storeDeliver,
    Receive,
    create
}
